{
  lib,
  pkgs,
  config,
  outputs,
  ...
}: {
  imports =
    [
      ../features/fonts
      ../features/nix-helper
    ]
    ++ (builtins.attrValues outputs.homeManagerModules);

  nix = {
    package = lib.mkDefault pkgs.nix;
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
        "ca-derivations"
      ];
      # warn-dirty = false; # TODO: do I want it? also for systems
    };
  };

  colorscheme.name = "catppuccin-mocha";

  # systemd.user.startServices = "sd-switch"; # TODO: what is this

  programs = {
    home-manager.enable = true;
    git.enable = true;
  };

  home = {
    username = lib.mkDefault "julian";
    homeDirectory = lib.mkDefault "/home/${config.home.username}";
    stateVersion = lib.mkDefault "23.11";

    sessionPath = ["$HOME/.local/bin"];
  };

  # TODO: colorscheme
  # colorscheme.mode = lib.mkOverride 1499 "dark";
  # specialisation = {
  #   dark.configuration.colorscheme.mode = lib.mkOverride 1498 "dark";
  #   light.configuration.colorscheme.mode = lib.mkOverride 1498 "light";
  # };
  # home.file = {
  #   ".colorscheme.json".text = builtins.toJSON config.colorscheme;
  # };
}
