{pkgs, ...}: {
  imports = [
    ./global

    ./features/fish
    ./features/topgrade
    ./features/neovim
    ./features/wezterm
    ./features/yazi
    ./features/gtk
  ];

  hostName = "pianonix";
  is-nixos = true;
  terminal = "wezterm";

  services.syncthing.tray.enable = true;
  services.syncthing.tray.command = "syncthingtray --wait"; # Wait for tray to become available

  home.packages = with pkgs; [
    music-reader
    sheet-organizer

    xournalpp
    musescore

    onboard
  ];

  # Autostart link
  home.file = {
    ".config/autostart/sheet-organizer.desktop".source = "${pkgs.sheet-organizer}/share/applications/sheet-organizer.desktop";
    ".config/sheet-organizer/config.toml".text = ''
      working_directory = "/home/julian/Klavier"
    '';
  };
}
